Bug 1577513 - [abrt] tracker-miners: process_func_start(): tracker-miner-fs killed by SIGSEGV
Summary: [abrt] tracker-miners: process_func_start(): tracker-miner-fs killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker-miners
Version: 28
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:34b4cfa56f3ae8bef8e575e8f72...
: 1615051 1635464 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 16:17 UTC by mastaiza
Modified: 2019-05-28 23:57 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:57:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.96 KB, text/plain)
2018-05-12 16:17 UTC, mastaiza
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-12 16:17 UTC, mastaiza
no flags Details
File: core_backtrace (16.25 KB, text/plain)
2018-05-12 16:17 UTC, mastaiza
no flags Details
File: cpuinfo (1.24 KB, text/plain)
2018-05-12 16:17 UTC, mastaiza
no flags Details
File: dso_list (6.00 KB, text/plain)
2018-05-12 16:17 UTC, mastaiza
no flags Details
File: environ (1.34 KB, text/plain)
2018-05-12 16:17 UTC, mastaiza
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-12 16:17 UTC, mastaiza
no flags Details
File: maps (30.07 KB, text/plain)
2018-05-12 16:17 UTC, mastaiza
no flags Details
File: mountinfo (3.62 KB, text/plain)
2018-05-12 16:17 UTC, mastaiza
no flags Details
File: open_fds (201.18 KB, text/plain)
2018-05-12 16:17 UTC, mastaiza
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-12 16:17 UTC, mastaiza
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2018-05-12 16:17 UTC, mastaiza
no flags Details

Description mastaiza 2018-05-12 16:17:08 UTC
Version-Release number of selected component:
tracker-miners-2.0.4-3.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: process_func_start
executable:     /usr/libexec/tracker-miner-fs
journald_cursor: s=46d67fa9c7fc42e9a842029a4935e3bc;i=13f3e;b=64452815e7194b54bf6cc0cefd21bd7b;m=20a2cbad;t=56c04850615ba;x=b4aa01426a4f08d7
kernel:         4.16.7-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 process_func_start at tracker-crawler.c:713
 #1 enumerate_next_cb at tracker-crawler.c:930
 #2 next_async_callback_wrapper at gfileenumerator.c:305
 #3 g_task_return_now at gtask.c:1148
 #4 complete_in_idle_cb at gtask.c:1162

Potential duplicate: bug 1505187

Comment 1 mastaiza 2018-05-12 16:17:13 UTC
Created attachment 1435423 [details]
File: backtrace

Comment 2 mastaiza 2018-05-12 16:17:14 UTC
Created attachment 1435424 [details]
File: cgroup

Comment 3 mastaiza 2018-05-12 16:17:16 UTC
Created attachment 1435425 [details]
File: core_backtrace

Comment 4 mastaiza 2018-05-12 16:17:17 UTC
Created attachment 1435426 [details]
File: cpuinfo

Comment 5 mastaiza 2018-05-12 16:17:19 UTC
Created attachment 1435427 [details]
File: dso_list

Comment 6 mastaiza 2018-05-12 16:17:20 UTC
Created attachment 1435428 [details]
File: environ

Comment 7 mastaiza 2018-05-12 16:17:21 UTC
Created attachment 1435429 [details]
File: limits

Comment 8 mastaiza 2018-05-12 16:17:24 UTC
Created attachment 1435430 [details]
File: maps

Comment 9 mastaiza 2018-05-12 16:17:25 UTC
Created attachment 1435431 [details]
File: mountinfo

Comment 10 mastaiza 2018-05-12 16:17:28 UTC
Created attachment 1435432 [details]
File: open_fds

Comment 11 mastaiza 2018-05-12 16:17:29 UTC
Created attachment 1435433 [details]
File: proc_pid_status

Comment 12 mastaiza 2018-05-12 16:17:31 UTC
Created attachment 1435434 [details]
File: exploitable

Comment 13 thequanty 2018-06-18 23:06:49 UTC
Similar problem has been detected:

I'm really don't remember, this error appears often, but plausible it caused by using BleachBit 2.0

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: process_func_start
executable:     /usr/libexec/tracker-miner-fs
journald_cursor: s=18edafee7fbc4b73bde7f35661dd6508;i=12dc99;b=56a1d4162eab48a5a51124ffbfa8a86a;m=2a673c44b;t=56e98b352668f;x=948748e5b97b28c
kernel:         4.16.14-300.fc28.x86_64
package:        tracker-miners-2.0.4-3.fc28
reason:         tracker-miner-fs killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 krinkodot22 2018-06-24 00:52:11 UTC
Similar problem has been detected:

This error happened when I cancelled a Tracker filesystem miner as it was recursing through a symlinked directory on another partition.

To reproduce:
-Create a symlink under $HOME pointing to a directory on another partition, like with 'ln -s /mnt/<something> ~/Documents/mylink'
-In Files (Nautilus), bookmark that symlink
-Open Settings->Search->Search Locations
-In the "Search Locations" window, go to Bookmarks and turn on searching for your symlink
-After 1-2 seconds, turn off searching for it

Actual results:
Tracker will crash and an ABRT notification will appear. The filesystem miner will remain inactive until you run 'tracker daemon -s'.

Expected results:
Tracker should just stop and nothing bad should happen. The filesystem miner should remain active & ready to index new files when necessary.

I should point out that this doesn't always happen. I tried reproducing it a few times, but I could only make it happen one extra time.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: process_func_start
executable:     /usr/libexec/tracker-miner-fs
journald_cursor: s=708391902a0b4eb8bdc1f55ca61541b3;i=184ac2;b=d6f6792f69c94d06b75495416af08e17;m=6e300058;t=56f583e334efb;x=a823ee20e9e531ef
kernel:         4.17.2-200.fc28.x86_64
package:        tracker-miners-2.0.4-3.fc28
reason:         tracker-miner-fs killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Andrey 2018-08-11 19:39:20 UTC
*** Bug 1615051 has been marked as a duplicate of this bug. ***

Comment 16 Ian Zimmerman 2018-09-01 16:31:53 UTC
Similar problem has been detected:

This thing runs behind the scenes when I log in, so I didn't do anything special to make the problem happen.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: process_func_start
executable:     /usr/libexec/tracker-miner-fs
journald_cursor: s=e1b483e538de475b95b919fa2a15f134;i=2c414;b=18a604d7d22d4421a83551a20d6c465b;m=e284d68;t=574d193f85c46;x=69b4452c4f02ade5
kernel:         4.17.19-200.fc28.x86_64
package:        tracker-miners-2.1.1-1.fc28
reason:         tracker-miner-fs killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Matheus 2018-10-03 01:54:43 UTC
*** Bug 1635464 has been marked as a duplicate of this bug. ***

Comment 18 Carl-Johan Kjellander 2019-03-24 20:29:49 UTC
Similar problem has been detected:

I was deleting files with transmission, and tracker-miner-fs crashed.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: process_func_start
executable:     /usr/libexec/tracker-miner-fs
journald_cursor: s=17e1520937704003afa4473d7fe540a7;i=a202;b=d3dda65258b94374a4775caf464f4a1c;m=90c45c845;t=584dce3781e18;x=39115f045d05238
kernel:         4.20.16-100.fc28.x86_64
package:        tracker-miners-2.1.4-1.fc28
reason:         tracker-miner-fs killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            500

Comment 19 Ben Cotton 2019-05-02 19:38:39 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ben Cotton 2019-05-28 23:57:22 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.